Unregister/Wipe Device
This API endpoint allows you to disable a registered credential ID, effectively wiping the associated device. The response provides the status of the disabling process (SUCCESS or FAILURE), along with a explanation in the reason field.
When a device is wiped, the status query on the credential ID will report an inactive credential. However, the public key can be queried from the fetch-public-keys call
API Description
API to unregister a device
POST https://{{environment_url}}/api/v1/device/unregister-device
Headers
Content-Type*
application/json
accept*
String
*/*
Authorization*
String
Bearer <Token>
Request Body
credential_id*
String
registered credential id
API Response
Device Un Registered Successfully
The device unregistered successfully and credential_id is made inactive
status: Indicates "SUCCESS" if the credential Id was disabled.reason: Provides a detailed explanation of the status.state : When used to send opaque data during registration, can be retrieved from the un-registration API for tracking the process.
HTTP Status Code: 200
JSON Response
Invalid Bearer Token
HTTP Status Code: 401
JSON Response
Invalid Request Body
HTTP Status Code: 400
JSON Response
Integration Code Snippets
Last updated
